Bug 1419515 - LXQt Spin
Summary: LXQt Spin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Dersch
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 11:48 UTC by Jan Kurik
Modified: 2017-07-25 17:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 17:04:52 UTC
Type: ---


Attachments (Terms of Use)
SolidRun_CuBox-i-20170302082433.log (1.98 KB, text/plain)
2017-03-02 12:28 UTC, billiboy
no flags Details
SolidRun_CuBox-i-20170302104130.log (48.96 KB, text/plain)
2017-03-02 12:29 UTC, billiboy
no flags Details
kernel-local (1.15 KB, text/plain)
2017-03-02 12:30 UTC, billiboy
no flags Details
Xorg.0.log (16.21 KB, text/plain)
2017-03-02 12:30 UTC, billiboy
no flags Details

Description Jan Kurik 2017-02-06 11:48:07 UTC
This is a tracking bug for Change: LXQt Spin
For more details, see: https://fedoraproject.org//wiki/Changes/LXQt_Spin

A Fedora Spin providing the LXQt desktop environment.

Comment 1 Christian Dersch 2017-02-14 14:30:03 UTC
Submitted a pull request for fedora-kickstarts: https://pagure.io/fedora-kickstarts/pull-request/134

Comment 2 billiboy 2017-02-27 17:03:44 UTC
Does this imply there will be a Fedora-LXQt-armhfp-*-sda.raw.xz like for LXDE in some time, so arm users can also benefit from this spin?
Obtained from the repo it is working quite good already:
http://forum.solid-run.com/linux-on-cubox-i-and-hummingboard-f8/fedora-on-cubox-i-hummingboard-and-clearfog-t363-s310.html#p21578

Comment 3 Christian Dersch 2017-02-27 17:25:20 UTC
Yes, this will be created too.

Comment 4 billiboy 2017-02-27 18:37:32 UTC
Ok, took a closer look and discovered the broken build. As 'trojita' will not be build for arm at the moment I will patiently wait till this get resolved.

Comment 5 Christian Dersch 2017-02-27 18:38:39 UTC
Hopefully fixed with next build, already made a change excluding trojita.

Comment 6 Fedora End Of Life 2017-02-28 11:11:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Christian Dersch 2017-02-28 13:54:26 UTC
Thr first one: https://koji.fedoraproject.org/koji/taskinfo?taskID=18106553

Comment 8 billiboy 2017-03-02 12:28:06 UTC
Some first impressions.
Dropped image on a SD, flipped it in my cubox-i and powered it up.
After ~15 minutes starring at a black graphic display I pulled the power plug.
Fired up a serial terminal and restarted. SolidRun_CuBox-i-20170302082433.log is the outcome and of not much help.
With kernel log messages enabled SolidRun_CuBox-i-20170302104130.log is the outcome but still got not any further.
Maybe it is sitting at the black graphic display awaiting the initial setup.
Lets drop in a kernel with proper graphical support. It is a kernel rebuild from fedora kernel source package with kernel-local dropped in.
So only some modules flipped as build-in in respect to fedora stock.
Now the initial setup can be done at the graphic display.
As X was starting I got again a black graphic display.
After disabling the display-manager.service a startx is returning to console with Xorg.0.log.
So probably nothing LXQt directly to blame for.

Comment 9 billiboy 2017-03-02 12:28:24 UTC
Created attachment 1259145 [details]
SolidRun_CuBox-i-20170302082433.log

Comment 10 billiboy 2017-03-02 12:29:20 UTC
Created attachment 1259146 [details]
SolidRun_CuBox-i-20170302104130.log

Comment 11 billiboy 2017-03-02 12:30:05 UTC
Created attachment 1259147 [details]
kernel-local

Comment 12 billiboy 2017-03-02 12:30:41 UTC
Created attachment 1259148 [details]
Xorg.0.log

Comment 13 billiboy 2017-03-13 17:27:24 UTC
Seems fedora-arm-lxqt.ks get missed here: https://pagure.io/fedora-kickstarts/c/3c3152b72d52ff178b1b5ceea9720ccbc1388d87?branch=master

Comment 14 billiboy 2017-06-03 08:56:22 UTC
The current arm images seem to fail for size constraints of the root file system currently. If I read the logs correctly the LXQt live spin is using "part / --fstype="ext4" --size=5120".
Fitting LXQt in the same size (2800) as Minimal won't work out IMHO.
So maybe add e.g. "part / --fstype="ext4" --size=3900" at fedora-arm-lxqt.ks to let the packages fit in and left some headroom for initial use.

Comment 15 Christian Dersch 2017-06-11 15:47:19 UTC
Will investigate


Note You need to log in before you can comment on or make changes to this bug.